Last Comment Bug 702713 - (bz-release-42rc1) Release Bugzilla 4.2rc1, 4.0.3, 3.6.7 and 3.4.13
(bz-release-42rc1)
: Release Bugzilla 4.2rc1, 4.0.3, 3.6.7 and 3.4.13
Status: RESOLVED FIXED
:
Product: Bugzilla
Classification: Server Software
Component: Bugzilla-General (show other bugs)
: 4.3
: All All
: -- blocker (vote)
: ---
Assigned To: Frédéric Buclin
: default-qa
Mentors:
Depends on: 683644 713343 713344 713345 713346 713348
Blocks: bz-release
  Show dependency treegraph
 
Reported: 2011-11-15 11:42 PST by Frédéric Buclin
Modified: 2012-01-06 01:19 PST (History)
6 users (show)
LpSolit: blocking4.2+
LpSolit: blocking4.0.3+
LpSolit: blocking3.6.7+
LpSolit: blocking3.4.13+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Release Announcement, v1 (3.34 KB, text/plain)
2011-12-28 14:47 PST, Frédéric Buclin
dkl: review+
mkanat: review-
Details
Website Update, v1 (679.10 KB, patch)
2011-12-28 15:25 PST, Frédéric Buclin
no flags Details | Diff | Review
Website Update, v1.1 (679.10 KB, patch)
2011-12-28 15:32 PST, Frédéric Buclin
dkl: review+
mkanat: review+
Details | Diff | Review
Release Announcement, v2 (3.51 KB, text/plain)
2011-12-28 17:06 PST, Frédéric Buclin
dkl: review+
Details

Description Frédéric Buclin 2011-11-15 11:42:27 PST
We are going to release Bugzilla 4.1.4, 4.0.3, 3.6.7 and 3.4.13 due to the security bug 697699 which affects all branches, and also because there are some valuable fixes already checked in into the 4.0 branch, especially about incompatibilities with newer versions of version.pm and about crashes with Oracle. 4.1.4 is also much more stable than previous 4.1.x snapshots as it has got QA tests running (though still some orange to debug and fix).

I really hope this will be the last snapshot before 4.2rc1, and also the last release for the 3.4 branch. It's high time to fix the remaining blockers.
Comment 1 Max Kanat-Alexander 2011-12-23 14:34:09 PST
dkl has offered to do the Release Management work for this release.
Comment 2 Frédéric Buclin 2011-12-24 04:02:41 PST
The FK bug is a hard blocker. We won't release anything without it. Also, we did enough progress to jump to 4.2rc1 directly instead of 4.1.4. And all QA tests are green.
Comment 3 Frédéric Buclin 2011-12-28 14:47:25 PST
Created attachment 584649 [details]
Release Announcement, v1

I left mkanat as the author of the announcement as I simply copied his release announcement for 4.0rc1 and simply fixed the version numbers. Tell me if I should use my name instead.
Comment 4 Frédéric Buclin 2011-12-28 15:25:00 PST
Created attachment 584656 [details] [diff] [review]
Website Update, v1
Comment 5 Frédéric Buclin 2011-12-28 15:32:49 PST
Created attachment 584658 [details] [diff] [review]
Website Update, v1.1

Fixes two typos I found.
Comment 6 David Lawrence [:dkl] 2011-12-28 16:45:08 PST
Comment on attachment 584658 [details] [diff] [review]
Website Update, v1.1

Looks good. r=dkl
Comment 7 Max Kanat-Alexander 2011-12-28 17:00:40 PST
Comment on attachment 584658 [details] [diff] [review]
Website Update, v1.1

Review of attachment 584658 [details] [diff] [review]:
-----------------------------------------------------------------

Looks great, thanks!!

::: src/download/index.html
@@ +316,1 @@
>    New Features page</a>.</p>

This should say "in the Release Notes" instead of "on the New Features Page".

::: src/news/index.html
@@ +105,5 @@
> +  </ul>
> +
> +  <p>Note that once we release the final Bugzilla 4.2, the 3.4.x series will
> +    reach <strong>End Of Life</strong>. This means that it won't get any new
> +    security fix, leaving these installations vulnerable to these exploits.

fixes (instead of "fix")

::: src/security/3.4.12/index.html
@@ +1,5 @@
> +[%# 4.2rc1-FIXME-VERSION, 4.0.2, 3.6.6, 3.4.12 FIXME-AND Security Advisory %]
> +[% title = "4.2rc1-FIXME-VERSION, 4.0.2, 3.6.6, 3.4.12 FIXME-AND Security Advisory" %]
> +
> +<h1>4.2rc1-FIXME-VERSION, 4.0.2, 3.6.6, 3.4.12 FIXME-AND Security Advisory</h1>
> +FIXME<br/>

Note that the FIXMEs here do have to be addressed.
Comment 8 Max Kanat-Alexander 2011-12-28 17:02:12 PST
Comment on attachment 584649 [details]
Release Announcement, v1

Also needs a link to the security advisory.
Comment 9 Frédéric Buclin 2011-12-28 17:06:18 PST
Created attachment 584673 [details]
Release Announcement, v2
Comment 10 Frédéric Buclin 2011-12-29 01:41:53 PST
I updated bugzilla-update.xml. Why haven't the sec adv and the release announcement been sent?
Comment 11 Frédéric Buclin 2011-12-29 01:53:34 PST
Oh, and http://www.bugzilla.org/security/3.4.12/ still displays the fake sec adv, not the real one.
Comment 12 Frédéric Buclin 2011-12-29 02:32:15 PST
We must also generate documentation for the 4.2 branch: http://www.bugzilla.org/docs/4.2/ doesn't exist.
Comment 13 David Lawrence [:dkl] 2011-12-29 07:13:17 PST
Comment on attachment 584673 [details]
Release Announcement, v2

Looks good r=dkl
Comment 14 Frédéric Buclin 2011-12-29 09:01:10 PST
(In reply to Frédéric Buclin from comment #10)
> Why haven't the sec adv and the release announcement been sent?

FYI, I sent the sec adv, and dkl is working on sending the release announcement.


(In reply to Frédéric Buclin from comment #11)
> Oh, and http://www.bugzilla.org/security/3.4.12/ still displays the fake sec
> adv, not the real one.

I fixed that as well.
Comment 15 David Lawrence [:dkl] 2011-12-29 10:08:28 PST
Ok, release is more or less done so closing this. Good release and thanks for everyone's hard work!

Note You need to log in before you can comment on or make changes to this bug.